Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.dbms
Class OracleUtils

    java.lang.Object
      com.mchange.v2.c3p0.dbms.OracleUtils

    public final class OracleUtils

extends java.lang.Object

A convenience class for OracleUsers who wish to use Oracle-specific Connection API without working directly with c3p0 raw connection operations.

Method Summary
`static oracle.sql.BLOB` | `createTemporaryBLOB(java.sql.Connection c3p0ProxyCon, boolean cache, int duration)` Uses Oracle-specific API on the raw, underlying Connection to create a temporary BLOB.
`static oracle.sql.CLOB` | `createTemporaryCLOB(java.sql.Connection c3p0ProxyCon, boolean cache, int duration)` Uses Oracle-specific API on the raw, underlying Connection to create a temporary CLOB.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createTemporaryBLOB

    public static oracle.sql.BLOB createTemporaryBLOB(java.sql.Connection c3p0ProxyCon,
                                                      boolean cache,
                                                      int duration)
                                               throws java.sql.SQLException

  Uses Oracle-specific API on the raw, underlying Connection to create a temporary BLOB. Users are responsible for calling freeTemporary on the returned BLOB prior to Connection close() / check-in! c3p0 will not automatically clean up temporary BLOBs.

  Parameters:
    `c3p0ProxyCon` - may be a c3p0 proxy for an `oracle.jdbc.driver.OracleConnection`, or an `oracle.jdbc.driver.OracleConnection` directly.
  Throws:
    `java.sql.SQLException`

### createTemporaryCLOB

    public static oracle.sql.CLOB createTemporaryCLOB(java.sql.Connection c3p0ProxyCon,
                                                      boolean cache,
                                                      int duration)
                                               throws java.sql.SQLException

  Uses Oracle-specific API on the raw, underlying Connection to create a temporary CLOB. Users are responsible for calling freeTemporary on the returned BLOB prior to Connection close() / check-in! c3p0 will not automatically clean up temporary CLOBs.

  Parameters:
    `c3p0ProxyCon` - may be a c3p0 proxy for an `oracle.jdbc.driver.OracleConnection`, or an `oracle.jdbc.driver.OracleConnection` directly.
  Throws:
    `java.sql.SQLException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD